## org.eclipse.datatools.connectivity.oda.spec.result.filter
Class InternalFilterFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.result.filter.InternalFilterFactory

    public class InternalFilterFactory

extends java.lang.Object

Internal factory of package classes.

Constructor Summary
`InternalFilterFactory()`

Method Summary
`static CustomExpression` `createCustomFilter(java.lang.String extensionId, java.lang.String id)`
`static CustomExpression` `createCustomFilter(java.lang.String extensionId, java.lang.String id, ExpressionVariable variable, ExpressionArguments args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalFilterFactory

    public InternalFilterFactory()

Method Detail

### createCustomFilter

    public static CustomExpression createCustomFilter(java.lang.String extensionId,
                                                      java.lang.String id)

### createCustomFilter

    public static CustomExpression createCustomFilter(java.lang.String extensionId,
                                                      java.lang.String id,
                                                      ExpressionVariable variable,
                                                      ExpressionArguments args)